%define pname		xmule
%define name		xmule-testing
%define version		1.9.4
%define pversion	1.9.4b
%define release		2plf

Summary:	File sharing client compatible with eDonkey
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/File transfer
Source0:	http://download.berlios.de/xmule/xmule-1.9.4b.tar.bz2
Source10:	%{pname}16.png
Source11:	%{pname}32.png
Source12:	%{pname}48.png
Patch0:		%{name}-build.patch.bz2
URL:		http://www.xmule.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	wget
BuildRequires:	libcryptopp-devel
BuildRequires:	wxGTK2.4-devel
BuildRequires:	zlib-devel
Conflicts:	wxGTK2.5-devel
Conflicts:	xmule > %version-%release
Conflicts:	xmule < %version-%release
Obsoletes:	lmule
Provides:	lmule
Provides:	xmule = %version-%release

%description
xMule is an easy to use multi-platform client for ED2K Peer-to-Peer Network.
It is originally based on eMule, the popular windows-only client for the same
network. xMule currently supports (but is not limited to) the following
platforms: Linux, *BSD and MacOS X. 

This package is in PLF because it's P2P.

%prep
%setup -q -n %{pname}-%{pversion}
%patch0 -p1

%build
# Fix location of .d files
%__perl -p -i -e 's|obj|.|g' ./src/xmule.make.in ./xLibs/DynPrefs/DynPrefs.make.in ./xLibs/xrc/xrc.make.in
%configure --with-wx-config=%{_bindir}/wx-config --with-zlib --without-cryptopp
%make VERBOSE=1

%install

# from Makefile.am
%__mkdir_p %{buildroot}/%_bindir
%__mkdir_p %{buildroot}/%_datadir/{applications,locale,pixmaps}
%__cp -f ed2k xmule %{buildroot}/%_bindir
pushd po
%makeinstall VERBOSE=1
popd 
%__cp -f xmule.desktop %{buildroot}/%_datadir/applications
%__cp -f xmule.xpm %{buildroot}/%_datadir/pixmaps

# E: xmule-testing invalid-lc-messages-dir /usr/share/locale/ee/LC_MESSAGES/xMule.mo
%__rm -rf %{buildroot}/%{_datadir}/locale/ee/LC_MESSAGES/xMule.mo

%find_lang xMule

%__install -m 644 -D %{SOURCE10} %{buildroot}/%{_miconsdir}/%{pname}.png
%__install -m 644 -D %{SOURCE11} %{buildroot}/%{_iconsdir}/%{pname}.png
%__install -m 644 -D %{SOURCE12} %{buildroot}/%{_liconsdir}/%{pname}.png

%__mkdir_p %{buildroot}%{_menudir}
%__cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%name): needs="x11" section="Networking/File Transfer" title="xMule" longtitle="File sharing client compatible with eDonkey" command="%_bindir/xmule" icon="%{pname}.png"
EOF
mv %{buildroot}/%{_bindir}/ed2k %{buildroot}/%{_bindir}/ed2k-%{pname}
chmod 0644 README ABOUT-NLS AUTHORS COPYING TODO

%clean
rm -rf %{buildroot}

%post
%{update_menus}
update-alternatives --install %{_bindir}/ed2k ed2k %{_bindir}/ed2k-%{pname} 10

%postun
%{clean_menus}
update-alternatives --remove ed2k %{_bindir}/ed2k-%{pname}

%files -f xMule.lang
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS COPYING TODO
%{_bindir}/*
%{_datadir}/applications/%{pname}.desktop
%{_datadir}/pixmaps/%{pname}.xpm
%{_miconsdir}/%{pname}.png
%{_iconsdir}/%{pname}.png
%{_liconsdir}/%{pname}.png
%{_menudir}/%{name}

%changelog
* Fri Nov 05 2004 David Walluck <david@zarb.org> 1.9.4-2plf
- 1.9.4b

* Sun Oct 31 2004 David Walluck <david@zarb.org> 1.9.4-1plf
- 1.9.4
- change menu name to match package name to please rpmlint

* Thu Oct 28 2004 David Walluck <david@zarb.org> 1.9.3-1plf
- 1.9.3

* Sat Oct 02 2004 David Walluck <david@zarb.org> 1.9.2-1plf
- 1.9.2
- Use system xrc, zlib
- Fix use of .d files during build
- Add reason for PLF

* Fri Sep 10 2004 Pascal Terjan <pterjan@zarb.org> 1.9.1b-1plf
- 1.9.1b

* Sun Aug 15 2004 Pascal Terjan <pterjan@zarb.org> 1.9.0-1plf
- 1.9.0

* Sat Mar 06 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.7.4c-1plf
- 1.7.4c

* Wed Feb 25 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.7.4b-1plf
- 1.7.4b

* Thu Feb 19 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.7.4a-1plf
- 1.7.4a
- drop patch0

* Mon Jan 26 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.7.2-1plf
- 1.7.2

* Sat Nov 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.7.1-1plf
- create a xmule-testing rpm

* Sat Oct 11 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.6.1-1plf
- 1.6.1
- Fix files with date in the future

* Fri Oct 03 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.6.0a-1plf
- 1.6.0a

* Thu Sep 25 2003 Gtz Waschk <goetz@plf.zarb.org> 1.6.0-2plf
- use alternative for %_bindir/ed2k
- spec fixes

* Wed Aug 27 2003 Gtz Waschk <goetz@plf.zarb.org> 1.6.0-1plf
- switch to wxGTK2.4
- new version

* Fri Jul 11 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.5-1plf
- 1.5.5

* Sun Jul 06 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.4-1plf
- 1.5.4

* Fri Jul 04 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.3-2plf
- "add changelog, /me sux" thanx Nanar for the suggestion :-)

* Fri Jul 04 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.3-1plf
- Switch to unstable 1.5.3
  Works fine and fixes a lot of bugs !

* Tue May 27 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.4.0-1plf
- renamed to xMule
- 1.4.0

* Tue May 20 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.3.1-1plf
- unstable version 1.3.1 (fixes some bugs like segfault on exit)

* Wed May 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.2.1-2plf
- Require wget (thanks houpla)

* Mon Apr 28 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.2.1-1plf
- 1.2.1
- Don't need anymore to patch configure for gtk2

* Mon Apr 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.2.0-1plf
- 1.2.0
- removed French translation (included upstream)
- removed gtk2 patch (merged upstream)

* Thu Apr 03 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.13c-2plf
- added BuildRequires libexpat-devel zlib1-devel libgtk+-x11-2.0_0-devel
  libglib2.0_0-devel

* Tue Apr 01 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.13c-1plf
- 1.1.13c
- added a partial French translation

* Sat Mar 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.13-1plf
- new version
- drop patch removing systray integration
- add patch for compilation of systray with gtk2
- drop patch for wx 2.5 compatibility

* Sun Mar 23 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.12-1plf
- new version
- lmule changelog states "Lmule probably compiles with gtk2 again.."
  There are less errors but it still doesn't, so I keep the patch dropping
  systray support.
  
* Fri Mar 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.11b-2plf
- use wxGTK from cvs

* Thu Mar 20 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.11b-1.plf
- new version
- use find_lang

* Wed Mar 19 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.11-1plf
- new version

* Tue Mar 18 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.10-1plf
- new version
- updated patch

* Sun Mar 16 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.8-1plf
- initial release
- patch removing systray so it compile
